tx-agent-kit
API Reference

teams Endpoints

API endpoints for the teams resource group

teams Endpoints

GET /v1/teams

Parameters

NameInTypeRequiredDescription
organizationIdquerystringYes---
cursorquerystringNo---
limitquerystringNo---
sortByquerystringNo---
sortOrderquerystringNo---

Responses

StatusDescription
200Success
400The request did not match the expected schema
401Unauthorized
402PaymentRequired
403Forbidden
404NotFound
409Conflict
429TooManyRequests
500InternalError

POST /v1/teams

Responses

StatusDescription
201Success
400The request did not match the expected schema
401Unauthorized
402PaymentRequired
403Forbidden
404NotFound
409Conflict
429TooManyRequests
500InternalError

GET /v1/teams/{teamId}

Parameters

NameInTypeRequiredDescription
teamIdpathstringYes---

Responses

StatusDescription
200Success
400The request did not match the expected schema
401Unauthorized
402PaymentRequired
403Forbidden
404NotFound
409Conflict
429TooManyRequests
500InternalError

PATCH /v1/teams/{teamId}

Parameters

NameInTypeRequiredDescription
teamIdpathstringYes---

Responses

StatusDescription
200Success
400The request did not match the expected schema
401Unauthorized
402PaymentRequired
403Forbidden
404NotFound
409Conflict
429TooManyRequests
500InternalError

DELETE /v1/teams/{teamId}

Parameters

NameInTypeRequiredDescription
teamIdpathstringYes---

Responses

StatusDescription
200Success
400The request did not match the expected schema
401Unauthorized
402PaymentRequired
403Forbidden
404NotFound
409Conflict
429TooManyRequests
500InternalError

GET /v1/teams/{teamId}/review-tokens

Parameters

NameInTypeRequiredDescription
teamIdpathstringYes---
cursorquerystringNo---
limitquerystringNo---
sortByquerystringNo---
sortOrderquerystringNo---

Responses

StatusDescription
200Success
400The request did not match the expected schema
401Unauthorized
402PaymentRequired
403Forbidden
404NotFound
409Conflict
429TooManyRequests
500InternalError

POST /v1/teams/{teamId}/review-tokens

Parameters

NameInTypeRequiredDescription
teamIdpathstringYes---

Responses

StatusDescription
201Success
400The request did not match the expected schema
401Unauthorized
402PaymentRequired
403Forbidden
404NotFound
409Conflict
429TooManyRequests
500InternalError

DELETE /v1/teams/{teamId}/review-tokens/{tokenId}

Parameters

NameInTypeRequiredDescription
teamIdpathstringYes---
tokenIdpathstringYes---

Responses

StatusDescription
200Success
400The request did not match the expected schema
401Unauthorized
402PaymentRequired
403Forbidden
404NotFound
409Conflict
429TooManyRequests
500InternalError

GET /v1/review/{token}

Parameters

NameInTypeRequiredDescription
tokenpathstringYes---

Responses

StatusDescription
200Success
400The request did not match the expected schema
401Unauthorized
402PaymentRequired
403Forbidden
404NotFound
409Conflict
429TooManyRequests
500InternalError

GET /v1/teams/{teamId}/members

Parameters

NameInTypeRequiredDescription
teamIdpathstringYes---
cursorquerystringNo---
limitquerystringNo---
sortByquerystringNo---
sortOrderquerystringNo---

Responses

StatusDescription
200Success
400The request did not match the expected schema
401Unauthorized
402PaymentRequired
403Forbidden
404NotFound
409Conflict
429TooManyRequests
500InternalError

POST /v1/teams/{teamId}/members

Parameters

NameInTypeRequiredDescription
teamIdpathstringYes---

Responses

StatusDescription
201Success
400The request did not match the expected schema
401Unauthorized
402PaymentRequired
403Forbidden
404NotFound
409Conflict
429TooManyRequests
500InternalError

PATCH /v1/teams/{teamId}/members/{memberId}/role

Parameters

NameInTypeRequiredDescription
teamIdpathstringYes---
memberIdpathstringYes---

Responses

StatusDescription
200Success
400The request did not match the expected schema
401Unauthorized
402PaymentRequired
403Forbidden
404NotFound
409Conflict
429TooManyRequests
500InternalError

DELETE /v1/teams/{teamId}/members/{memberId}

Parameters

NameInTypeRequiredDescription
teamIdpathstringYes---
memberIdpathstringYes---

Responses

StatusDescription
200Success
400The request did not match the expected schema
401Unauthorized
402PaymentRequired
403Forbidden
404NotFound
409Conflict
429TooManyRequests
500InternalError

POST /v1/teams/{teamId}/members/{memberId}/disable

Parameters

NameInTypeRequiredDescription
teamIdpathstringYes---
memberIdpathstringYes---

Responses

StatusDescription
200Success
400The request did not match the expected schema
401Unauthorized
402PaymentRequired
403Forbidden
404NotFound
409Conflict
429TooManyRequests
500InternalError

POST /v1/teams/{teamId}/members/{memberId}/enable

Parameters

NameInTypeRequiredDescription
teamIdpathstringYes---
memberIdpathstringYes---

Responses

StatusDescription
200Success
400The request did not match the expected schema
401Unauthorized
402PaymentRequired
403Forbidden
404NotFound
409Conflict
429TooManyRequests
500InternalError

On this page